#!/bin/sh

case "$1" in
    echo)
        shift
        echo $@
        ;;

    borgmatic)
        shift
        case "$1" in
            sh)
                sudo docker-compose exec borgmatic sh
                ;;
            *)
                echo "You have to choose a subcommand too, dummy."
                ;;
        esac
        ;;

    logs)
        shift
        sudo docker-compose logs -f --tail=0
        ;;

    postgres)
        shift
        case "$1" in
            bash)
                sudo docker-compose exec postgres bash
                ;;
            *)
                echo "You have to choose a subcommand too, dummy."
                ;;
        esac
        ;;

    psql)
        shift
        sudo docker-compose exec postgres psql -U synapse -d synapsedb $@
        ;;

    *)
        echo "You have to choose a command, dummy."
        ;;
esac
